﻿app.doScript("globalParaStylesRemap()",ScriptLanguage.JAVASCRIPT,[],UndoModes.ENTIRE_SCRIPT,"Global Paragraph Styles Remapping");

globalParaStylesRemap()

function globalParaStylesRemap(){
    var myDoc = app.activeDocument;
    var LL = myDoc.paragraphStyleGroups.item("Article").paragraphStyles.item("Literature Level");
    var LIT = myDoc.paragraphStyleGroups.item("Article").paragraphStyleGroups.item("Text").paragraphStyles.item("Literature");
    remapDownShort ("01", "00", "02", 3);
    remapDownShort (LL.name, "00", LIT, 2);
    }

function remapDownShort (first, next, updated_next, steps) { // ("Стиль 1", "Стиль 2", "Стиль 3", количество)
    for (var i = 0; i < app.activeDocument.stories.length; i++){  
        var s = app.activeDocument.stories.item(i);  
        for (var j = s.paragraphs.length - 1; j > -1; j--){  
            try{
                if (s.paragraphs.item(j).appliedParagraphStyle.name == first && s.paragraphs.item(j+1).appliedParagraphStyle.name == next) {
                s.paragraphs.item(j+1).appliedParagraphStyle = updated_next;
                var k = j + 2;
                var l = k + steps - 1;
                for (k; k < l; k++){
                    while (s.paragraphs.item(k).appliedParagraphStyle.name == next && k < s.paragraphs.length) {
                        s.paragraphs.item(k).appliedParagraphStyle = updated_next;
                        }
                    }
                }
            } catch (e) {}
        }  
    }
}